"""
PySide stub files generated by **IceSpringPySideStubs**

Home: https://baijifeilong.github.io/2022/01/06/ice-spring-pyside-stubs/index.html

Github: https://github.com/baijifeilong/IceSpringPySideStubs

PyPI(PySide2): https://pypi.org/project/IceSpringPySideStubs-PySide2

PyPI(PySide6): https://pypi.org/project/IceSpringPySideStubs-PySide6

PyPI(PyQt5): https://pypi.org/project/IceSpringPySideStubs-PyQt5

PyPI(PyQt6): https://pypi.org/project/IceSpringPySideStubs-PyQt6

Generated by BaiJiFeiLong@gmail.com

License: MIT
"""
"""
This file contains the exact signatures for all functions in module
PySide6.QtDesigner, except for defaults which are replaced by "...".
"""
from __future__ import annotations

import PySide6.QtCore
import PySide6.QtDesigner
import PySide6.QtGui
import PySide6.QtWidgets

class QDesignerActionEditorInterface(PySide6.QtWidgets.QWidget):
    """
    https://doc.qt.io/qt-6/qdesigneractioneditorinterface.html

    **Detailed Description**

    The QDesignerActionEditorInterface class is not intended to be instantiated
    directly. You can retrieve an interface to **Qt Designer** 's action editor
    using the **QDesignerFormEditorInterface::actionEditor** () function.

    You can control which actions that are available in the action editor's
    window using the **manageAction** () and **unmanageAction** () functions. An
    action that is managed by **Qt Designer** is available in the action editor
    while an unmanaged action is ignored.

    QDesignerActionEditorInterface also provides the **core** () function that
    you can use to retrieve a pointer to **Qt Designer** 's current
    **QDesignerFormEditorInterface**  object, and the **setFormWindow** ()
    function that enables you to change the currently selected form window.

    **See also** **QDesignerFormEditorInterface**  and
    **QDesignerFormWindowInterface** .
    """

    def __init__(
        self,
        parent: PySide6.QtWidgets.QWidget,
        flags: PySide6.QtCore.Qt.WindowFlags = ...,
    ) -> None:
        """
        https://doc.qt.io/qt-6/qdesigneractioneditorinterface.html#QDesignerActi
        onEditorInterface

        **QDesignerActionEditorInterface::QDesignerActionEditorInterface(QWidget
        * parent , Qt::WindowFlags flags = {})**

        Constructs an action editor interface with the given **parent** and the
        specified window **flags**.
        """
        ...
    def core(self) -> PySide6.QtDesigner.QDesignerFormEditorInterface:
        """
        https://doc.qt.io/qt-6/qdesigneractioneditorinterface.html#core

        **[virtual] QDesignerFormEditorInterface
        *QDesignerActionEditorInterface::core() const**

        Returns a pointer to **Qt Designer** 's current
        **QDesignerFormEditorInterface**  object.
        """
        ...
    def manageAction(self, action: PySide6.QtGui.QAction) -> None:
        """
        https://doc.qt.io/qt-6/qdesigneractioneditorinterface.html#manageAction

        **[pure virtual] void
        QDesignerActionEditorInterface::manageAction(QAction * action )**

        Instructs **Qt Designer** to manage the specified **action**. An action
        that is managed by **Qt Designer** is available in the action editor.

        **See also** **unmanageAction** ().
        """
        ...
    def setFormWindow(
        self, formWindow: PySide6.QtDesigner.QDesignerFormWindowInterface
    ) -> None:
        """
        https://doc.qt.io/qt-6/qdesigneractioneditorinterface.html#setFormWindow

        **[pure virtual slot] void QDesignerActionEditorInterface::setFormWindow
        (QDesignerFormWindowInterface * formWindow )**

        Sets the currently selected form window to **formWindow**.
        """
        ...
    def unmanageAction(self, action: PySide6.QtGui.QAction) -> None:
        """
        https://doc.qt.io/qt-6/qdesigneractioneditorinterface.html#unmanageActio
        n

        **[pure virtual] void
        QDesignerActionEditorInterface::unmanageAction(QAction * action )**

        Instructs **Qt Designer** to ignore the specified **action**. An
        unmanaged action is not available in the action editor.

        **See also** **manageAction** ().
        """
        ...
