"""
PySide stub files generated by **IceSpringPySideStubs**

Home: https://baijifeilong.github.io/2022/01/06/ice-spring-pyside-stubs/index.html

Github: https://github.com/baijifeilong/IceSpringPySideStubs

PyPI(PySide2): https://pypi.org/project/IceSpringPySideStubs-PySide2

PyPI(PySide6): https://pypi.org/project/IceSpringPySideStubs-PySide6

PyPI(PyQt5): https://pypi.org/project/IceSpringPySideStubs-PyQt5

PyPI(PyQt6): https://pypi.org/project/IceSpringPySideStubs-PyQt6

Generated by BaiJiFeiLong@gmail.com

License: MIT
"""
"""
This file contains the exact signatures for all functions in module
PySide6.QtGui, except for defaults which are replaced by "...".
"""
from __future__ import annotations

from enum import IntFlag

import PySide6.QtCore
import PySide6.QtGui

class QTextItem:
    """
    https://doc.qt.io/qt-6/qtextitem.html

    **Detailed Description**

    When you reimplement your own paint engine, you must reimplement
    **QPaintEngine::drawTextItem** (), a function that takes a QTextItem as one
    of its arguments.
    """

    Dummy: QTextItem.RenderFlag = ...
    RightToLeft: QTextItem.RenderFlag = ...
    Overline: QTextItem.RenderFlag = ...
    Underline: QTextItem.RenderFlag = ...
    StrikeOut: QTextItem.RenderFlag = ...

    class RenderFlag(IntFlag):
        Dummy: QTextItem.RenderFlag = ...
        RightToLeft: QTextItem.RenderFlag = ...
        Overline: QTextItem.RenderFlag = ...
        Underline: QTextItem.RenderFlag = ...
        StrikeOut: QTextItem.RenderFlag = ...

    class RenderFlags: ...

    def __init__(self) -> None: ...
    def ascent(self) -> float:
        """
        https://doc.qt.io/qt-6/qtextitem.html#ascent

        **qreal QTextItem::ascent() const**

        Corresponds to the **ascent**  of the piece of text that is drawn.
        """
        ...
    def descent(self) -> float:
        """
        https://doc.qt.io/qt-6/qtextitem.html#descent

        **qreal QTextItem::descent() const**

        Corresponds to the **descent**  of the piece of text that is drawn.
        """
        ...
    def font(self) -> PySide6.QtGui.QFont:
        """
        https://doc.qt.io/qt-6/qtextitem.html#font

        **QFont QTextItem::font() const**

        Returns the font that should be used to draw the text.
        """
        ...
    def renderFlags(self) -> PySide6.QtGui.QTextItem.RenderFlags:
        """
        https://doc.qt.io/qt-6/qtextitem.html#renderFlags

        **QTextItem::RenderFlags QTextItem::renderFlags() const**

        Returns the render flags used.
        """
        ...
    def text(self) -> str:
        """
        https://doc.qt.io/qt-6/qtextitem.html#text

        **QString QTextItem::text() const**

        Returns the text that should be drawn.
        """
        ...
    def width(self) -> float:
        """
        https://doc.qt.io/qt-6/qtextitem.html#width

        **qreal QTextItem::width() const**

        Specifies the total width of the text to be drawn.
        """
        ...
